Subject: Re: FDT bindings for I2C devices

From: Scott Wood <[email-masked]>
Date: Tue, 23 Oct 2007 13:30:48 -0500

Grant Likely wrote:
> Scott Wood made an attempt at defining a device binding for I2C
> devices, but it has not been merged into booting-without-of.txt yet.
> I've copied what he wrote below.  I would add to his definition the
> following:
> - If compatible is missing, driver should *not* fall back to the device name.
> - 'compatible' list should include the exact device in the form "<mfg>,<part>"

Those are good recommendations for any node, but I don't see why i2c in 
particular should mandate it.

-Scott